# Get All LB Position Pairs

We can fetch all LB Pairs for the mainnet cluster for meteora DLMM using SHYFT's GraphQL APIs.&#x20;

You can directly copy paste this code on <mark style="color:yellow;">replit</mark> and see it in action.

{% tabs %}
{% tab title="Code Snippet" %}
{% code overflow="wrap" %}

```typescript
async function getAllLbPairs() {
	const SHYFT_API_KEY = "YOUR_SHYFT_API_KEY";
	//get all Lb Pairs for meteora DLMM
	const operationsDoc = `
		query MyQuery {
		   meteora_dlmm_LbPair {
			activationPoint
                        activationType
                        activeId
                        baseKey
                        binStep
                        creator
                        creatorPoolOnOffControl
                        lastUpdatedAt
                        oracle
                        padding4
                        pairType
                        parameters
                        preActivationDuration
                        preActivationSwapAddress
                        protocolFee
                        requireBaseFactorSeed
                        reserveX
                        reserveY
                        status
                        tokenMintXProgramFlag
                        tokenMintYProgramFlag
                        tokenXMint
                        tokenYMint
		   }
		}
		`; //you can cherrypick the fields as per your requirement
	const result = await fetch(
	  `https://programs.shyft.to/v0/graphql/accounts?api_key=${SHYFT_API_KEY}&network=mainnet-beta`, //SHYFT's GQL endpoint
	  {
		method: "POST",
		body: JSON.stringify({
		  query: operationsDoc,
		  variables: {},
		  operationName: "MyQuery",
		}),
	  },
	);
  
	const { errors, data } = await result.json();
  
	console.dir(data, { depth: null });
  }
  
  getAllLbPairs();
```

{% endcode %}
{% endtab %}

{% tab title="Response" %}

```json
{
    "meteora_dlmm_LbPair": [
      {
        "_lamports": 7182720,
        "activationSlot": 0,
        "activeId": -969,
        "baseKey": "11111111111111111111111111111111",
        "binStep": 100,
        "feeOwner": "6WaLrrRfReGKBYUSkmx2K6AuT21ida4j8at2SUiZdXu8",
        "lastUpdatedAt": 0,
        "maxSwappedAmount": 0,
        "oracle": "2t5x4K96MdHUWK9pBXpDnC3YWT13PvYtNqWpCS8TN3XS",
        "pairType": 0,
        "protocolFee": {
          "amountX": "0",
          "amountY": "0"
        },
        "reserveX": "DeJJTPGp53zmnSM9xPi2FL8Nx5ZCVdYKEzGzTtypYuaj",
        "reserveY": "EDDaU4yWGyCcX3wMDjAyuH3cSRh9C5iq21nd28t32BkP",
        "status": 0,
        "swapCapDeactivateSlot": 0,
        "tokenXMint": "BFpchrNVhyTRzMNAg9QkiZfRN2vqRBwcYoTX8qgkbDvm",
        "tokenYMint": "So11111111111111111111111111111111111111112",
        "whitelistedWallet": [
          "11111111111111111111111111111111",
          "11111111111111111111111111111111"
        ],
        "pubkey": "3n3MPhoba6X8GHbZqsrFqVYGAQnuF9prKZXaQ1NnYBcB"
      },
      {
        "_lamports": 7182720,
        "activationSlot": 0,
        "activeId": -1043,
        "baseKey": "11111111111111111111111111111111",
        "binStep": 100,
        "feeOwner": "6WaLrrRfReGKBYUSkmx2K6AuT21ida4j8at2SUiZdXu8",
        "lastUpdatedAt": 0,
        "maxSwappedAmount": 0,
        "oracle": "8qSHCNnFaY8ALqneDWL1sSedcBvTrXuthsMkwFF9BNKP",
        "pairType": 0,
        "protocolFee": {
          "amountX": "0",
          "amountY": "0"
        },
        "reserveX": "9pRXRP3B9d3XAZJuxCbVxGczFkFTxnCnEEUxgkfAtmJL",
        "reserveY": "5qU396U2QFgHUD3DuEjt6SpESHKED11YbydDs4fvs8A3",
        "status": 0,
        "swapCapDeactivateSlot": 0,
        "tokenXMint": "So11111111111111111111111111111111111111112",
        "tokenYMint": "E5HapWX5fCvpFAJjbbwfFVNwpVydaYfxg9TmSvtedyJo",
        "whitelistedWallet": [
          "11111111111111111111111111111111",
          "11111111111111111111111111111111"
        ],
        "pubkey": "54UVFdAuGMJv9FUyzfW7wMUKs1K4JwCjodTAUK1Q3RHM"
      }
      //response shortend for visibility
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shyft.to/solana-indexers/case-studies/meteora/get-all-lb-position-pairs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
